Google Patents
Google Patents: Search
Search from Google Patents. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
google-patents
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/google-patents/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/google-patents/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/google-patents/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/google-patents/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/google-patents/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/google-patents/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/google-patents/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/google-patents/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "google-patents.search",
"params": {
"q": "machine learning"
},
"response": {
"success": true,
"data": {
"total_results": 122797,
"total_pages": 99,
"current_page": 1,
"many_results": false,
"patents": [
{
"patent_id": "patent/US12438891B1/en",
"rank": 0,
"title": "Anomaly detection based on ensemble machine learning model",
"snippet": "accessing the entity profile to read the plurality of features scores for the entity; processing the plurality of feature scores for the entity, accessed from the entity profile, by using a plurality of machine-learning models; generating a…",
"publication_number": "US12438891B1",
"language": "en",
"dates": {
"priority": "2015-08-31",
"filing": "2022-02-18",
"grant": "2025-10-07",
"publication": "2025-10-07"
},
"inventor": "Sudhakar Muddu",
"assignee": "Splunk Inc.",
"thumbnail": "60x80/US12438891B1/US12438891-20251007-D00000.png",
"pdf": "",
"family_status": [
{
"country": "US",
"status": "ACTIVE"
}
]
},
{
"patent_id": "patent/US12518214B2/en",
"rank": 1,
"title": "Distributed machine learning systems including generation of synthetic data",
"snippet": "wherein the machine learning model instructions comprise at least one of supervised machine learning instructions, unsupervised machine learning instructions, or machine learning clustering instructions. 15 . The system of claim 1 , wherein…",
"publication_number": "US12518214B2",
"language": "en",
"dates": {
"priority": "2016-07-18",
"filing": "2023-04-21",
"grant": "2026-01-06",
"publication": "2026-01-06"
},
"inventor": "Christopher W. Szeto",
"assignee": "Nantomics, Llc",
"thumbnail": "60x80/US12518214B2/US12518214-20260106-D00000.png",
"pdf": "",
"family_status": [
{
"country": "WO",
"status": "NOT_ACTIVE"
},
{
"country": "EP",
"status": "NOT_ACTIVE"
},
{
"country": "US",
"status": "ACTIVE"
}
]
},
{
"patent_id": "patent/JP7607720B2/en",
"rank": 2,
"title": "Cyber threat defense system that uses machine learning models to protect email …",
"snippet": "one or more first machine learning models trained on normal behavior of email and user activity associated with the email system; a cyber-threat module having one or more second machine learning models trained on cyber-threats in the email …",
"publication_number": "JP7607720B2",
"language": "en",
"dates": {
"priority": "2018-02-20",
"filing": "2023-09-21",
"grant": "2024-12-27",
"publication": "2024-12-27"
},
"inventor": "ダン マシュー",
"assignee": "ダークトレース リミテッド",
"thumbnail": "1b/50/29/fa98ef7b352324/0007607720000001.png",
"pdf": "a8/70/e5/da2bef3a38d91c/JP7607720B2.pdf",
"family_status": [
{
"country": "EP",
"status": "ACTIVE"
},
{
"country": "US",
"status": "ACTIVE"
},
{
"country": "JP",
"status": "ACTIVE"
}
]
}
],
"cached": false,
"response_time_ms": 731
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Google Patents API overview for every Google Patents endpoint.
Authorizations
Query Parameters
Maximum string length:
500Available options:
new, old Available options:
GRANT, APPLICATION Available options:
PATENT, DESIGN Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/google-patents/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/google-patents/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/google-patents/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/google-patents/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/google-patents/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/google-patents/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/google-patents/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/google-patents/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "google-patents.search",
"params": {
"q": "machine learning"
},
"response": {
"success": true,
"data": {
"total_results": 122797,
"total_pages": 99,
"current_page": 1,
"many_results": false,
"patents": [
{
"patent_id": "patent/US12438891B1/en",
"rank": 0,
"title": "Anomaly detection based on ensemble machine learning model",
"snippet": "accessing the entity profile to read the plurality of features scores for the entity; processing the plurality of feature scores for the entity, accessed from the entity profile, by using a plurality of machine-learning models; generating a…",
"publication_number": "US12438891B1",
"language": "en",
"dates": {
"priority": "2015-08-31",
"filing": "2022-02-18",
"grant": "2025-10-07",
"publication": "2025-10-07"
},
"inventor": "Sudhakar Muddu",
"assignee": "Splunk Inc.",
"thumbnail": "60x80/US12438891B1/US12438891-20251007-D00000.png",
"pdf": "",
"family_status": [
{
"country": "US",
"status": "ACTIVE"
}
]
},
{
"patent_id": "patent/US12518214B2/en",
"rank": 1,
"title": "Distributed machine learning systems including generation of synthetic data",
"snippet": "wherein the machine learning model instructions comprise at least one of supervised machine learning instructions, unsupervised machine learning instructions, or machine learning clustering instructions. 15 . The system of claim 1 , wherein…",
"publication_number": "US12518214B2",
"language": "en",
"dates": {
"priority": "2016-07-18",
"filing": "2023-04-21",
"grant": "2026-01-06",
"publication": "2026-01-06"
},
"inventor": "Christopher W. Szeto",
"assignee": "Nantomics, Llc",
"thumbnail": "60x80/US12518214B2/US12518214-20260106-D00000.png",
"pdf": "",
"family_status": [
{
"country": "WO",
"status": "NOT_ACTIVE"
},
{
"country": "EP",
"status": "NOT_ACTIVE"
},
{
"country": "US",
"status": "ACTIVE"
}
]
},
{
"patent_id": "patent/JP7607720B2/en",
"rank": 2,
"title": "Cyber threat defense system that uses machine learning models to protect email …",
"snippet": "one or more first machine learning models trained on normal behavior of email and user activity associated with the email system; a cyber-threat module having one or more second machine learning models trained on cyber-threats in the email …",
"publication_number": "JP7607720B2",
"language": "en",
"dates": {
"priority": "2018-02-20",
"filing": "2023-09-21",
"grant": "2024-12-27",
"publication": "2024-12-27"
},
"inventor": "ダン マシュー",
"assignee": "ダークトレース リミテッド",
"thumbnail": "1b/50/29/fa98ef7b352324/0007607720000001.png",
"pdf": "a8/70/e5/da2bef3a38d91c/JP7607720B2.pdf",
"family_status": [
{
"country": "EP",
"status": "ACTIVE"
},
{
"country": "US",
"status": "ACTIVE"
},
{
"country": "JP",
"status": "ACTIVE"
}
]
}
],
"cached": false,
"response_time_ms": 731
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}